Subject: Re: bug#24018: 25.1.50; gnus: switching from Summary to Group sometimes puts point on wrong line

From: Stephen Berman <[email-masked]>
Date: Sun, 17 Jul 2016 22:28:24 +0200

On Sun, 17 Jul 2016 13:50:22 -0400 James Cloos <[email-masked]> wrote:

> With current emacs master, whenever you quit a *Summary* buffer, at least
> via q or c y, if you had gone from one group to another with n or k or
> the like then when back in *Group* point will be on the leftmost column
> of the group you first enterred from *Group* rather than on the next group,
> as it use to do and still does if you quit *Summary* w/o switching its
> group.
>
> I hadn't updated since gnus' git repo became obsolete, so I can only
> note that the regression occurred sometime since then.
>
> I do know that d0c0b71d889ff223d2e5073b733f4047d541343b was the first
> commit where I saw this.

FWIW, I just tried your recipe and could not reproduce the problem;
after quitting the last Summary buffer, point was on the next group in
the Group buffer, not on the group I first entered.  This is with

GNU Emacs 25.1.50.18 (x86_64-suse-linux-gnu, GTK+ Version 3.14.15)
 of 2016-07-14 built on rosalinde
Repository revision: a8e1414c0d66903884059361ecc8ec70da37cf35
Windowing system distributor 'The X.Org Foundation', version 11.0.11601000
System Description:	openSUSE 13.2 (Harlequin) (x86_64)

which postdates the commit you cited above.

Steve Berman